## org.eclipse.uml2.uml.editor.actions
Class ImportPrimitiveTypeAction

    java.lang.Object
      org.eclipse.emf.edit.ui.action.CommandAction
          org.eclipse.uml2.uml.editor.actions.UMLCommandAction
              org.eclipse.uml2.uml.editor.actions.ImportTypeAction
                  org.eclipse.uml2.uml.editor.actions.ImportPrimitiveTypeAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IActionDelegate2, org.eclipse.ui.IEditorActionDelegate, org.eclipse.ui.IViewActionDelegate

    public class ImportPrimitiveTypeAction

extends ImportTypeAction

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.uml2.uml.editor.actions.UMLCommandAction
`UMLCommandAction.RefreshingChangeCommand, UMLCommandAction.TextComparator<T>`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.action.CommandAction
`action, collection, command, editingDomain, editorPart, workbenchPart`

Constructor Summary
`ImportPrimitiveTypeAction()`

Method Summary
`protected java.lang.String` `getActionCommandLabel()`
`protected java.util.List<Type>` `getChoiceOfValues(Package package_)`

Methods inherited from class org.eclipse.uml2.uml.editor.actions.ImportTypeAction
`createActionCommand, run`

Methods inherited from class org.eclipse.uml2.uml.editor.actions.UMLCommandAction
`getAdapterFactory, getLabelProvider, refreshViewer, setActiveEditor`

Methods inherited from class org.eclipse.emf.edit.ui.action.CommandAction
`dispose, getDefaultImageDescriptor, init, init, objectToImageDescriptor, runWithEvent, selectionChanged, setActiveWorkbenchPart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportPrimitiveTypeAction

    public ImportPrimitiveTypeAction()

Method Detail

### getChoiceOfValues

    protected java.util.List<Type> getChoiceOfValues(Package package_)

  Overrides:
    `getChoiceOfValues` in class `ImportTypeAction`

### getActionCommandLabel

    protected java.lang.String getActionCommandLabel()

  Overrides:
    `getActionCommandLabel` in class `ImportTypeAction`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.